package com.admin.major.service;

import java.util.List;
import com.admin.major.domain.ClassInfo;

/**
 * 班级管理Service接口
 * 
 * @author ljx
 * @date 2022-05-18
 */
public interface IClassInfoService 
{
    /**
     * 查询班级管理
     * 
     * @param classId 班级管理主键
     * @return 班级管理
     */
    public ClassInfo selectClassInfoByClassId(Long classId);

    /**
     * 查询班级管理列表
     * 
     * @param classInfo 班级管理
     * @return 班级管理集合
     */
    public List<ClassInfo> selectClassInfoList(ClassInfo classInfo);

    /**
     * 新增班级管理
     * 
     * @param classInfo 班级管理
     * @return 结果
     */
    public int insertClassInfo(ClassInfo classInfo);

    /**
     * 修改班级管理
     * 
     * @param classInfo 班级管理
     * @return 结果
     */
    public int updateClassInfo(ClassInfo classInfo);

    /**
     * 批量删除班级管理
     * 
     * @param classIds 需要删除的班级管理主键集合
     * @return 结果
     */
    public int deleteClassInfoByClassIds(Long[] classIds);

    /**
     * 删除班级管理信息
     * 
     * @param classId 班级管理主键
     * @return 结果
     */
    public int deleteClassInfoByClassId(Long classId);
}
